import { StiUsedFontsList } from "../services/objects";
import { StiButtonType, StiButtonSendType } from "../system/enums";
import { StiEditableContent } from "../system/interfaces";
import StiJson from "../system/StiJson";
import { StiFormElement } from "./base/StiFormElement";
import { StiBackgroundedTextItem } from "./text/StiBackgroundedTextItem";
export declare class StiButtonElement extends StiFormElement {
    type: string;
    tooltip: string;
    submissionMessage: string;
    text: StiBackgroundedTextItem;
    buttonType: StiButtonType;
    formSendURL: string;
    buttonSendType: StiButtonSendType;
    constructor();
    canUpdateProperty(propName: string): boolean;
    getUsedFonts(usedFonts: StiUsedFontsList): void;
    getDefaultEditableContent(): StiEditableContent;
    setProperty(propName: string, value: any, oldObject: any): void;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
    htmlStyle(): string;
}
